## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstAudioEncoder
                        ╰──twolamemp2enc

## Implemented interfaces

    GstPreset

## Factory details

Authors: – Sebastian Dröge <sebastian.droege@collabora.co.uk></sebastian.droege@collabora.co.uk>

Classification: – `Codec/Encoder/Audio`

Rank – primary

Plugin – twolame

Package – GStreamer Good Plug-ins

## Pad Templates

### `sink`

    audio/x-raw:
             format: { F32LE, S16LE }
             layout: interleaved
               rate: { (int)16000, (int)22050, (int)24000, (int)32000, (int)44100, (int)48000 }
           channels: 1
    audio/x-raw:
             format: { F32LE, S16LE }
             layout: interleaved
               rate: { (int)16000, (int)22050, (int)24000, (int)32000, (int)44100, (int)48000 }
           channels: 2
       channel-mask: 0x0000000000000003

Presence – always

Direction – sink

Object type – GstPad

### `src`

    audio/mpeg:
        mpegversion: 1
              layer: 2
               rate: { (int)16000, (int)22050, (int)24000, (int)32000, (int)44100, (int)48000 }
           channels: [ 1, 2 ]

Presence – always

Direction – src

Object type – GstPad

## Properties

### ath-level

    “ath-level” gfloat

ATH Level in dB

Flags : Read / Write

Default value : 0

### bitrate

    “bitrate” gint

Bitrate in kbit/sec (8, 16, 24, 32, 40, 48, 56, 64, 80, 96, 112, 128, 144, 160, 192, 224, 256, 320, 384)

Flags : Read / Write

Default value : 192

### copyright

    “copyright” gboolean

Mark as copyright

Flags : Read / Write

Default value : false

### emphasis

    “emphasis” GstTwoLameEmphasis *

Pre-emphasis to apply to the decoded audio

Flags : Read / Write

Default value : none (0)

### energy-level-extension

    “energy-level-extension” gboolean

Write peak PCM level to each frame

Flags : Read / Write

Default value : false

### error-protection

    “error-protection” gboolean

Adds checksum to every frame

Flags : Read / Write

Default value : false

### mode

    “mode” GstTwoLameMode *

Encoding mode

Flags : Read / Write

Default value : joint (1)

### original

    “original” gboolean

Mark as original

Flags : Read / Write

Default value : true

### padding

    “padding” GstTwoLamePadding *

Padding type

Flags : Read / Write

Default value : never (0)

### psymodel

    “psymodel” gint

Psychoacoustic model used to encode the audio

Flags : Read / Write

Default value : 3

### quick-mode

    “quick-mode” gboolean

Calculate Psymodel every frames

Flags : Read / Write

Default value : false

### quick-mode-count

    “quick-mode-count” gint

Calculate Psymodel every n frames

Flags : Read / Write

Default value : 10

### vbr

    “vbr” gboolean

Enable variable bitrate mode

Flags : Read / Write

Default value : false

### vbr-level

    “vbr-level” gfloat

VBR Level

Flags : Read / Write

Default value : 5

### vbr-max-bitrate

    “vbr-max-bitrate” gint

Specify maximum VBR bitrate (0=off, 8, 16, 24, 32, 40, 48, 56, 64, 80, 96, 112, 128, 144, 160, 192, 224, 256, 320, 384)

Flags : Read / Write

Default value : 0

## Named constants

### GstTwoLameEmphasis

#### Members

`none` (0) – No emphasis
`5` (1) – 50/15 ms
`ccit` (3) – CCIT J.17

### GstTwoLameMode

#### Members

`auto` (-1) – Auto
`stereo` (0) – Stereo
`joint` (1) – Joint Stereo
`dual` (2) – Dual Channel
`mono` (3) – Mono

### GstTwoLamePadding

#### Members

`never` (0) – No Padding
`always` (1) – Always Pad

The results of the search are